Wednesday, October 25, 2006

Spelling matters. Choose Firefox

Firefox 2.0 is now available. What are you waiting for Internet Exploiter users? If you are a Mac user, long ago you have ditched IE, and in response, IE no longer supports Macintosh users. Who cares? Not I, who no longer have to deal with a system crash if the browser decides to crap out.

If you are running MS Windows, you should care if you continue to run the security challenged browser. And get this. The lastest Firefox release enables a built in spell checker for forms, which includes blogger and hotmail. Oh yeah!

0 comments: